Обход ограничений безопасности в Apache Struts

Дата публикации:14.08.2015
Всего просмотров:1365
Опасность:
Средняя
Наличие исправления: Да
Количество уязвимостей:1
CVSSv2 рейтинг: 7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C)
CVE ID: CVE-2015-1831
Вектор эксплуатации: Удаленная
Воздействие: Обход ограничений безопасности
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Apache Struts 2.x
Уязвимые версии: Apache Struts 2.3.20.1
Описание:

Уязвимость позволяет удаленному пользователю обойти ограничения безопасности.

Уязвимость существует из-за ошибки, связанной с настройками "excludeParams" в DefaultExcludedPatternsChecker. Удаленный пользователь может обойти определенные ограничения безопасности.

URL производителя: apache.org
Решение: Установите последнюю версию с сайта производителя.
Ссылки: http://struts.apache.org/docs/s2-024.html